Patch fixes the openstreetmap demo.

--- a/examples/canvas/osm.tcl
+++ b/examples/canvas/osm.tcl
@@ -334,6 +334,8 @@
 
     #puts ".z = $level"
 
+    if {$level<0} { set level 0 }
+
     SetRegion $level
     ShowPoints
     return
